%define pkgname xhtmldiff
Summary:	Ruby XHTML difference finder
Summary(pl.UTF-8):	Narzędzie do znajdywania różnic w XHTML-u napisane w Rubym
Name:		ruby-%{pkgname}
Version:	1.2.2
Release:	3
License:	Ruby
Source0:	http://theinternetco.net/projects/ruby/%{pkgname}-%{version}.tar.gz
# Source0-md5:	b1536c3a2f378a4e918dcc5fae2038b3
Group:		Development/Libraries
URL:		http://theinternetco.net/projects/ruby/xhtmldiff
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-diff-lcs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XHTMLDiff finds the difference between any two XHTML documents and
returns the result as valid XHTML with <ins> and <del> tags.

%description -l pl.UTF-8
XHTMLDiff znajduje różnice między dwoma dokumentami XHTML i zwraca
wynik jako poprawny XHTML ze znacznikami <ins> i <del>.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%package -n xhtmldiff
Summary:	Find differences in XHTML documents
Summary(pl.UTF-8):	Znajdywanie różnic w dokumentach XHTML
Group:		Applications/Text

%description -n xhtmldiff
Find differences in XHTML documents.

%description -n xhtmldiff -l pl.UTF-8
Znajdywanie różnic w dokumentach XHTML.

%prep
%setup -q -n %{pkgname}-%{version}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Math,REXML}
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir},%{_bindir}}

install -d $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_vendorlibdir}/xhtmldiff.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/XHTMLDiff

%files -n xhtmldiff
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xhtmldiff
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-xhtmldiff.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> 92448f3
- build noarch, to vendorlibdir

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 4cfb0ac
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 427b4e6
- up to 1.2.2
- added rdoc and ri packages

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6fbd210
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f3580a5
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> f5cde54
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 1f3ac3b
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 962a34e
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 6f26ae3
- use system ruby macros
- cleanups, corrections, cosmetics

* Tue Oct 25 2005 aredridel <aredridel@pld-linux.org> a579bf2
- R: ruby-Diff-LCS

* Wed Mar 30 2005 saq <saq@pld-linux.org> 48104f9
- missing defattr

* Fri Nov 05 2004 Jakub Bogusz <qboosh@pld-linux.org> cb22eb5
- pl, cleanup

* Fri Nov 05 2004 aredridel <aredridel@pld-linux.org> 887d8df
- up to 1.2.0

* Fri Nov 05 2004 aredridel <aredridel@pld-linux.org> 7fe276e
- correct license

* Fri Nov 05 2004 aredridel <aredridel@pld-linux.org> 5f89e44
- added

